<?php

namespace App\modele;

use App\gateway\Connection;
use App\metier\Alumni;

class AdminModele extends MembreModele
{
    /**
     * @description  supprimer un compte
     * @param Alumni $account compte à supprimer
     */
    public function deleteAccount(int $accountId)
    {
        global $twig;
        $dVueErreur = [];
        $con = new Connection(DB_HOST, DB_USER, DB_PASS);
        $gate = new \App\gateway\AlumniGateway($con);
        $result = $gate->deleteUser($accountId);
       /* try {

            var_dump($result);
        } catch (\Exception $e) {
            $dVueErreur[] = "Erreur lors de la suppression du compte";
            echo $twig->render("erreur.html", ['dVueErreur' => $dVueErreur]);
        }*/

    }

    /**
     * @description obtenir la liste des signalements
     * @return array des signalements
     */
    public function LoadReports() : array
    {
        // TO DO
        return [];
    }

    /**
     * @description supprimer une offre spécifique
     * @param Offre $offer offre à supprimer
     */
    public function deleteOffer(Offre $offer)
    {
        // TO DO
    }

    /**
     * @description créer un évènement
     * @return \Evenement évènement créé
     */
    public function createEvent() : \Evenement
    {
        $event = new \Evenement("","",null);
        // TO DO

        return $event;
    }

    /**
     * @description suppression d'un évènement
     * @param \Evenement $event évènement à supprimer
     */
    public function deleteEvent(\Evenement $event)
    {
        // TO DO
    }

    /**
     * @description obtenir la liste de tous les utilisateurs
     * @return array liste de tous les utilisateurs
     */
    public function getUserList() : array
    {
        // TO DO
        return [];
    }



}